Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008779opensim[GRID] Grid Servicepublic2020-10-10 20:172020-10-12 00:24
ReporterAviWorldsAdmin 
Assigned To 
PrioritynoneSeveritytextReproducibilityalways
StatusresolvedResolutionwon't fix 
PlatformopensimulatorOSOS Version9.2 dev
Product Version0.9.1.0 
Target VersionFixed in Version 
Summary0008779: land buying using gloebit money module
DescriptionAs I wrote on the issue number 0008778 before; it is not fixed. It is not resolved.
I just changed the gloebit module to the latest one and also the gloebit DLL.
Same result.
Can't buy land.
Steps To Reproduceplace land for sale and try it.
Additional InformationIsse number 0008778 said it was resolved and it is not.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
Script EngineYEngine
EnvironmentMono / Windows
Mono VersionOther
Viewerfirestorm viewer 6.45
Attached Filesjpg file icon 120793928_763333250880835_9175068851576790813_n.jpg [^] (784,648 bytes) 2020-10-10 20:17
jpg file icon gb1.jpg [^] (973,780 bytes) 2020-10-11 22:48
jpg file icon gb2.jpg [^] (713,880 bytes) 2020-10-11 22:49
jpg file icon gb3.jpg [^] (290,998 bytes) 2020-10-11 22:50

- Relationships

-  Notes
(0036929)
BillBlight (developer)
2020-10-11 08:52

Are you by chance adding custom patches that change the version string/name ..

Other than that cannot reproduce this ..
(0036930)
tampa (reporter)
2020-10-11 09:02

When in doubt compile from source, Gloebit is open source now with the module source code available on github, you can place all the files alongside OpenSim and compile everything at once, which will show you warnings or errors if something goes wrong.

Gloebit bases the way it handles land buying directly on the version string of OpenSim, meaning it checks whether it says 0.9.1.1, 0.9.2.0 etc. Altering the version string thus means the module may fail to properly apply the correct workflows to land buying. If you edit the version string you can use GLBNewLandPassFlow and GLBNewHTTPFlow overrides in your Gloebit.ini to force specific workflows, though these should only be used to debug.

You can also edit Gloebit directly and hardcode the workflows, though for compatibility I would avoid that.

This is also OpenSim Mantis, not Gloebit support, if you believe the issue is with a third party module then contact the module developer for support.
(0036937)
AviWorldsAdmin (reporter)
2020-10-11 15:41

I did get the latest gloebit ini and gloebit dll from gloebit and it still does not allow to buy land.
So I guess something is wrong in 9.2 dev that is preventing fetching land info.
(0036938)
BillBlight (developer)
2020-10-11 17:22

It could not possibly be a config issue it just has to be 0.9.2 ...

wow

Works fine on my test grid, works fine on osgrid testing ...
(0036939)
Ferd Frederix (reporter)
2020-10-11 21:48
edited on: 2020-10-11 21:56

Cut the sarcasm, please. This toxic environment is why I rarely post Mantis's any more.

I have contacted Chris Colosi. There is a single DLL and one INI file, which are the latest versions, and are properly filled in. I reviewed the code and the one INI file for correctness as this worked just a few weeks ago.

Opensim Version #d2e7c711b4188106a 0.9.2.dev 2020-09-21 20:40:24
Compiled in Visual Studio 2019 with Dot Net 4.7.

(0036940)
Ferd Frederix (reporter)
2020-10-11 21:57

For record keeping, this is after you auth the app set something to but in Production mode, and then buy it.

2020-10-11 22:54:15,009 DEBUG [GLOEBITMONEYMODULE] OnNewClient for 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:15,068 DEBUG [GLOEBITMONEYMODULE] OnClientLogin for 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:15,076 DEBUG [LLUDPSERVER]: Client created, processing pending queue, 4 entries
2020-10-11 22:54:15,091 INFO [SCENE PRESENCE]: Completing movement of Test User into region Welcome in position <127.9992, 127.9992, 25.9379>
2020-10-11 22:54:15,311 DEBUG [CompleteMovement] end: 218ms
2020-10-11 22:54:15,427 DEBUG [GLOEBITMONEYMODULE] OnCompleteMovementToRegion for 1458df4c-0b9f-4dc6-b1c5-51d346f1f899 with bool True
2020-10-11 22:54:15,432 DEBUG [GLOEBITMONEYMODULE] OnCompleteMovementToRegion AgentID:1458df4c-0b9f-4dc6-b1c5-51d346f1f899 SessionId:aa8cebbf-7bf4-498f-afed-e525f8ebc4f6 SecureSessionId:cbf94ced-5d66-46b0-8842-de38b99ecefa
2020-10-11 22:54:15,445 INFO [GLOEBITMONEYMODULE] in GloebitUser.Get
2020-10-11 22:54:15,433 DEBUG [GLOEBITMONEYMODULE] EconomyDataRequestHandler 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:15,450 DEBUG [GLOEBITMONEYMODULE] Looking for prior user for 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:15,505 DEBUG [GLOEBITMONEYMODULE] CREATING NEW USER 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:15,483 DEBUG [GLOEBITMONEYMODULE] SendMoneyBalance request from 1458df4c-0b9f-4dc6-b1c5-51d346f1f899 about 1458df4c-0b9f-4dc6-b1c5-51d346f1f899 for transaction 00000000-0000-0000-0000-000000000000
2020-10-11 22:54:15,513 INFO [GLOEBITMONEYMODULE] in IsNewSession for last: current:aa8cebbf-7bf4-498f-afed-e525f8ebc4f6
2020-10-11 22:54:15,542 INFO [GLOEBITMONEYMODULE] in GloebitUser.InvalidateCache
2020-10-11 22:54:15,546 INFO [GLOEBITMONEYMODULE] in GloebitUser.Get
2020-10-11 22:54:15,585 DEBUG [GLOEBITMONEYMODULE] Looking for prior user for 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:15,628 DEBUG [SCENE PRESENCE(Welcome)]: SendInitialData for 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:15,663 DEBUG [GLOEBITMONEYMODULE] CREATING NEW USER 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:15,681 DEBUG [GLOEBITMONEYMODULE] User is New Session
2020-10-11 22:54:18,258 DEBUG [OfflineIM.V2]: Retrieving stored messages for 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:24,454 DEBUG [AVFACTORY]: Received texture update for Test User 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:24,468 DEBUG [UpdateBakedCache] Uploading to Bakes Server: cache hits: 5 changed entries: 5 rebakes 0
2020-10-11 22:54:24,507 DEBUG [XBakes]: stored 5 textures for user 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:25,718 DEBUG [GLOEBITMONEYMODULE] GloebitAPI.BuildURLEncodedParamString building from paramMap:{"client_id":"0570d880-1937-4566-96c2-d7cdb079a601","scope":"balance transact","redirect_uri":"http://192.168.2.133:8004/gloebit/auth_complete?agentId=1458df4c-0b9f-4dc6-b1c5-51d346f1f899","response_type":"code","user":"Test [^] User","uid":"1458df4c-0b9f-4dc6-b1c5-51d346f1f899"}:
2020-10-11 22:54:25,724 DEBUG [GLOEBITMONEYMODULE] GloebitAPI.Authorize query_string: client_id=0570d880-1937-4566-96c2-d7cdb079a601&scope=balance+transact&redirect_uri=http%3a%2f%2f192.168.2.133%3a8004%2fgloebit%2fauth_complete%3fagentId%3d1458df4c-0b9f-4dc6-b1c5-51d346f1f899&response_type=code&user=Test+User&uid=1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:25,731 INFO [GLOEBITMONEYMODULE] GloebitAPI.Authorize request_uri: https://www.gloebit.com/oauth2/authorize?client_id=0570d880-1937-4566-96c2-d7cdb079a601&scope=balance+transact&redirect_uri=http:%2f%2f192.168.2.133:8004%2fgloebit%2fauth_complete%3fagentId%3d1458df4c-0b9f-4dc6-b1c5-51d346f1f899&response_type=code&user=Test+User&uid=1458df4c-0b9f-4dc6-b1c5-51d346f1f899 [^]
2020-10-11 22:54:39,889 INFO [GLOEBITMONEYMODULE] authComplete_func
2020-10-11 22:54:39,893 DEBUG body:
2020-10-11 22:54:39,896 DEBUG querystringkeys: System.String[]
2020-10-11 22:54:39,899 DEBUG content-type:
2020-10-11 22:54:39,903 DEBUG code: 4544a427-3fd8-4a0b-ae53-4317d43ba6db
2020-10-11 22:54:39,905 DEBUG user_id_on_app: 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:39,910 DEBUG http-method: GET
2020-10-11 22:54:39,912 DEBUG requestvars: System.Collections.Hashtable
2020-10-11 22:54:39,916 DEBUG uri: /gloebit/auth_complete
2020-10-11 22:54:39,918 DEBUG agentId: 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:39,921 DEBUG headers: System.Collections.Hashtable
2020-10-11 22:54:39,924 INFO [GLOEBITMONEYMODULE] in GloebitUser.Get
2020-10-11 22:54:39,927 INFO [GLOEBITMONEYMODULE] GloebitAPI.ExchangeAccessToken AgentID:1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:54:39,933 DEBUG [GLOEBITMONEYMODULE] GloebitAPI.BuildURLEncodedParamString building from paramMap:{"client_id":"0570d880-1937-4566-96c2-d7cdb079a601","client_secret":"a4fc2674-d869-4901-bcd2-35ad4a2b43d1","code":"4544a427-3fd8-4a0b-ae53-4317d43ba6db","grant_type":"authorization_code","scope":"balance transact","redirect_uri":"http://192.168.2.133:8004/gloebit/auth_complete?agentId=1458df4c-0b9f-4dc6-b1c5-51d346f1f899"}: [^]
2020-10-11 22:54:40,203 INFO [GLOEBITMONEYMODULE] GloebitAPI.GloebitWebResponseCallback
2020-10-11 22:54:40,211 INFO [GLOEBITMONEYMODULE] in GloebitUser.Get
2020-10-11 22:54:40,217 INFO [GLOEBITMONEYMODULE] GloebitAPI.CompleteExchangeAccessToken Success User:Gloebit.GloebitMoneyModule.GloebitUser
2020-10-11 22:54:40,221 DEBUG [GLOEBITMONEYMODULE] GloebitAPI.BuildGloebitRequest GET baseURL:https://www.gloebit.com/ [^] relativeURL:balance, fullURL:https://www.gloebit.com/balance [^]
2020-10-11 22:54:40,308 INFO [GLOEBITMONEYMODULE] GloebitAPI.balance status:OK
2020-10-11 22:54:40,313 DEBUG [GLOEBITMONEYMODULE] GloebitAPI.balance responseData:{"reason":"success","balance":399.98,"success":true}
2020-10-11 22:54:40,316 INFO [GLOEBITMONEYMODULE] authComplete_func started ExchangeAccessToken
2020-10-11 22:55:38,317 DEBUG [GLOEBITMONEYMODULE] ObjectBuy client:1458df4c-0b9f-4dc6-b1c5-51d346f1f899, agentID: 1458df4c-0b9f-4dc6-b1c5-51d346f1f899
2020-10-11 22:55:38,325 ERROR [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.ObjectBuyPacket for Test User
System.TypeLoadException: Could not load type 'OpenSim.Services.Interfaces.IUserManagement' from assembly 'OpenSim.Services.Interfaces, Version=0.9.2.0, Culture=neutral, PublicKeyToken=null'.
   at Gloebit.GloebitMoneyModule.GloebitMoneyModule.resolveAgentName(UUID agentID)
   at Gloebit.GloebitMoneyModule.GloebitMoneyModule.ObjectBuy(IClientAPI remoteClient, UUID agentID, UUID sessionID, UUID groupID, UUID categoryID, UInt32 localID, Byte saleType, Int32 salePrice)
   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.HandleObjectBuy(Packet Pack)
   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.<>c__DisplayClass822_0.<ProcessPacketMethod>b__0()
(0036941)
Ferd Frederix (reporter)
2020-10-11 22:05

From Chris Colosi:

Thanks. I’ve had a couple of people report That there’s a land purchase issue on 0.9.2 master. It’s almost certainly a breaking change by core, but I don’t know what yet and won’t have time to investigate for at least a few days.

Not too long ago, they changed how you register URLs and handlers and completely broke this. I had to rush a fix for that. They didn’t leave the prior libraries in place for a transition. Just a hard switch. And they didn’t provide any tags so I could use compiler flags based on a tag.

If you determine the specific change they made or even the range of commits, please let me know.

Chris...

If I may politely ask, any clues from any devs that might help him/us?

~ Fred
(0036942)
BillBlight (developer)
2020-10-11 22:21
edited on: 2020-10-11 22:22

@Ferd ...


It does work on osGrid, on my test grid, on 5 other grids I contacted?

It very well could be a windows only issue, as everyone I have talked to , that has this issue currently is on Windows , it could be a .NET change. I know the version detection used by gloebit is a bit picky, and if ANY of the version string is changed, poof no worky ...

Would you like to see it work with .9.2 latest dev master, I can point you to a region where it works ..

Not saying it IS NOT an issue but , need to stop pointing the finger at OpenSim EVERY single time , something is screwed up ..

"They didn’t leave the prior libraries in place for a transition."

Last time I checked, anything that is tagged as DEV is not for production anyway.

Hence 0.9.2 being DEV master..

(0036943)
AviWorldsAdmin (reporter)
2020-10-11 22:28

Whoever was using this account to post this messages I have reclaimed this account as it belongs to aviworlds and not whoever was posting as AviWorldsAdmin. I have a feeling Alex Ferraris is the one to post this originally but using aviworlds login credentials he previously had. Josh Boam.
(0036944)
AviWorldsAdmin (reporter)
2020-10-11 22:46

Also @ ferd if people talking trash about me don’t listen. AviWorlds and myself have been under constant attack from many people. And are using my name and photos in accounts created to troll others. Please do not believe anything you are told. Do not listen to lies. Josh Boam.
(0036945)
BillBlight (developer)
2020-10-11 22:54

I have attached 3 files, gb1.jpg, gb2.jpg and gb3.jpg, in these files, on osgrid, using latest dev master built only a few hours ago, I show land purchasing using GB working ...

I tested this with both the download from GB and one that I compiled with .9.2 , now there was a big delay for some reason in the GB download, the one I compiled along side .9.2 did not seem to have this delay ..

I would suggest, just grabbing your own source from their github compiling it along side .9.2 and testing then ...

There are two config options that are not in the ini file, Tampa mentioned these,

GLBNewLandPassFlow and GLBNewHTTPFlow

for testing you may want to include those in the ini and set to "= true" .
(0036946)
Ferd Frederix (reporter)
2020-10-11 23:26

Bill, thanks for the tip about the Gloebit source. I had heard Gloebits was available but did not know where to get it. That is now the 17th addon module in DreamGrid. Diva GUI is still a giant pain, though. Joomla also now works as of today and the necessary DLLs are built in for search and profiles, too.

Communication is important! Hundreds of grids run my code and report their issues without this Mantis, so there will always be an issue like this that crops up on occasion. It can take a huge effort just to realize something broke a module or as noted in another Mantis, in one of the hundreds of free Oars we have now. After months of testing prior to 3.7, Gloebits found a way.
(0036947)
BillBlight (developer)
2020-10-11 23:50
edited on: 2020-10-11 23:54

I understand that many people use Gloebit, but in my personal opinion,

The guy that makes aftermarket parts for a car does not tell the car manufacturer how to make the car, they adapt and stay updated with what they need to do ..

Gloebit should do the same, spend less time complaining about OpenSimulator updating/changing and more time staying up to date ... That is IF they want people to use Gloebit in OpenSimulator.

And just for reference ...

https://github.com/gloebit/opensim-moneymodule-gloebit [^]

NOTE: Also for the record, I told them that this "version detection" was a bad idea, would have been better to build a build environment that builds the current master gloebit dll against current master code, and have that version for a download ..

(Normally that is what I do, and will go back to that, GB gets built from source along side opensim on each update. And I have my own repo that I hardcoded the new way of doing it.)

(0036948)
Ferd Frederix (reporter)
2020-10-12 00:23

Thanks for the fish. Bye

- Issue History
Date Modified Username Field Change
2020-10-10 20:17 AviWorldsAdmin New Issue
2020-10-10 20:17 AviWorldsAdmin File Added: 120793928_763333250880835_9175068851576790813_n.jpg
2020-10-11 08:52 BillBlight Note Added: 0036929
2020-10-11 09:02 tampa Note Added: 0036930
2020-10-11 15:41 AviWorldsAdmin Note Added: 0036937
2020-10-11 17:22 BillBlight Note Added: 0036938
2020-10-11 21:48 Ferd Frederix Note Added: 0036939
2020-10-11 21:51 Ferd Frederix Note Edited: 0036939 View Revisions
2020-10-11 21:56 Ferd Frederix Note Edited: 0036939 View Revisions
2020-10-11 21:57 Ferd Frederix Note Added: 0036940
2020-10-11 22:05 Ferd Frederix Note Added: 0036941
2020-10-11 22:21 BillBlight Note Added: 0036942
2020-10-11 22:22 BillBlight Note Edited: 0036942 View Revisions
2020-10-11 22:28 AviWorldsAdmin Note Added: 0036943
2020-10-11 22:46 AviWorldsAdmin Note Added: 0036944
2020-10-11 22:48 BillBlight File Added: gb1.jpg
2020-10-11 22:49 BillBlight File Added: gb2.jpg
2020-10-11 22:50 BillBlight File Added: gb3.jpg
2020-10-11 22:54 BillBlight Note Added: 0036945
2020-10-11 23:26 Ferd Frederix Note Added: 0036946
2020-10-11 23:50 BillBlight Note Added: 0036947
2020-10-11 23:54 BillBlight Note Edited: 0036947 View Revisions
2020-10-12 00:23 Ferd Frederix Note Added: 0036948
2020-10-12 00:24 Ferd Frederix Priority urgent => none
2020-10-12 00:24 Ferd Frederix Severity major => text
2020-10-12 00:24 Ferd Frederix Status new => resolved
2020-10-12 00:24 Ferd Frederix Resolution open => won't fix
2020-10-12 00:24 Ferd Frederix Product Version => 0.9.1.0


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker